#include "ctcd.h"
#include <stdlib.h>
#include <stdio.h>

int get_disk_info(disk_t *disk[]);
void display_disk_info(disk_t *disk[], int n_disk);

int check[100];


void clear()
/* clears the screen */
{
}



void wait_for_key()
/* asks the user to press a key */
{
  printf("\nBitte drcken Sie eine Taste: ");
  fflush(stdout);
  (void) getchar();
  printf("\r                                \r");
}



char *mkstr(char str[])
/* allocates memory for string str, copies str to it, and removes '\n' at end */
/* NULL: error, else: copied string */
{
  char *c;
  int l = strlen(str);
  c = malloc(l+1);
  if (!c) return NULL;
  memset(c, 0, l+1);
  strncpy(c, str, l);
  if ('\n' == c[l-1]) c[l-1] = '\0';
  return c;
} /* mkstr() */




main()
{
  disk_t *disk[MAX_DISK];
  int i, j, n_disk;
  partition_t *part;

  if (n_disk = get_disk_info(disk))
   display_disk_info(disk, n_disk);
  else printf("No disks found!\n");

  for (i=0; i<n_disk; i++)
  {
    printf("disk %d: '%s', %d kByte\n", i, disk[i]->name, disk[i]->capacity);
    printf("%d Partitionen:\n", disk[i]->n_partitions);
    part = disk[i]->first;
    for (j=0; j<disk[i]->n_partitions; j++)
    {
      printf("'%s': %d blocks; '%s'\n", part->name, part->blocks, part->system);
      part = part->next;
    }
  }
}
